Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77546 - version conflict in sh-utils build requirements
Summary: version conflict in sh-utils build requirements
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sh-utils
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-08 20:37 UTC by Ben Woodard
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-21 17:27:17 UTC


Attachments (Terms of Use)
fixes the problem (deleted)
2002-11-08 20:38 UTC, Ben Woodard
no flags Details | Diff

Description Ben Woodard 2002-11-08 20:37:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
In the sh-utils spec file you call aclocal-1.6 and automake-1.6

sh-utils.spec:
    80  aclocal-1.6 -I m4
    81  automake-1.6
    82  autoconf

However the build requirements state that 1.4 is version that is necessary:

    26  BuildRequires: automake >= 1.4 pam-devel

Therefore building it on a system which doesn't have 1.6 installs doesn't work.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. make sure automake-1.6 is not installed
2. rpmbuild -bp sh-utils.spec

	

Actual Results:  + aclocal-1.6 -I m4
/var/tmp/rpm-tmp.97905: aclocal-1.6: command not found
error: Bad exit status from /var/tmp/rpm-tmp.97905 (%prep)


Expected Results:  It preps

Additional info:

Comment 1 Ben Woodard 2002-11-08 20:38:22 UTC
Created attachment 84284 [details]
fixes the problem

Comment 2 Tim Waugh 2003-01-21 17:27:17 UTC
Fixed in coreutils.


Note You need to log in before you can comment on or make changes to this bug.